Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158700 - System hangs on boot when checking a partition
Summary: System hangs on boot when checking a partition
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 22:56 UTC by its.a.thing
Modified: 2014-03-17 02:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-05 20:34:41 UTC


Attachments (Terms of Use)

Description its.a.thing 2005-05-24 22:56:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
I was messing around with my partitions last night and I moved my /home partition. When I tried to boot into Fedora Core 4 Test 3, my system hung there with the last message on the screen being something like "Checking disk integrity" (I can't get it exactly because it goes away too fast if there's no problem). I tried to boot again. The same thing happened. I tried moving the partition back to where it was at first. Nothing changed. Then I tried booting into Fedora Core 3. Fedora 3 detected a problem on my /home partition and dropped me to a shell to run fsck manually on the partition. I ran fsck on it and the problem was gone.

My kernel is 2.6.11-1.1323_FC4.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Convert an ext3 partition to ext2 with tune2fs -o ^has_journal DEVICE
2. Slide converted partition with BootItNG (http://www.terabyteunlimited.com/bootitng.html) or possibly another partitioner that can move ext2.
3. Move ext2 partition.
  

Actual Results:  Fedora Core 4 Test 3 hung when checking the disk but Fedora Core 3 detected the problem and dropped me to a shell to manually run fsck.

Expected Results:  Fedora Core 4 Test 3 should've detected problems on the disk and dropped me to a shell to run fsck.

Additional info:

Comment 1 Bill Nottingham 2005-05-24 22:58:04 UTC
Sounds like the label code in e2fsck got confused.

Comment 2 its.a.thing 2005-05-25 03:08:53 UTC
By the way, /etc/fstab used all devices, not labels on both OSs.

Comment 3 Thomas Woerner 2005-05-25 09:14:34 UTC
Then this is no "confusion in the label code" of e2fsprogs.
Reassigning.

Comment 4 Bill Nottingham 2005-05-25 16:08:24 UTC
Please attach your /etc/fstab.

Comment 5 its.a.thing 2005-05-25 21:29:27 UTC
# This file is edited by fstab-sync - see 'man fstab-sync' for details
/dev/hda6               /                       ext3    defaults               
            1 1
/dev/devpts             /dev/pts                devpts  gid=5,mode=620         
            0 0
/dev/shm                /dev/shm                tmpfs   defaults               
            0 0
/dev/hda3               /fc3                    ext3    defaults               
            1 2
/dev/hda2               /home                   ext3    defaults               
            1 2
/dev/hda7               /hda7                   ext3    rw,exec,user           
            0 0
/dev/proc               /proc                   proc    defaults               
            0 0
/dev/sys                /sys                    sysfs   defaults               
            0 0
/dev/hda5               swap                    swap    defaults               
            0 0
/dev/fd0                /media/floppy           auto    pamconsole,exec,noauto 
            0 0
/dev/hdd                /media/cdrom            auto    pamconsole,exec,noauto 
            0 0
/dev/hdc                /media/cdrecorder       auto    pamconsole,exec,noauto 
            0 0
/dev/sda1               /mnt/usbdrive           auto   
pamconsole,user,rw,exec,noauto,sync 0 0


Comment 6 Bill Nottingham 2005-10-04 20:59:36 UTC
We haven't seen other reports of this. Does it persist in the final FC4 release?

Comment 7 John Thacker 2006-05-05 20:34:41 UTC
Closing due to lack of response by reporter.


Note You need to log in before you can comment on or make changes to this bug.